libmath-bigint-gmp-perl_1.38-1+b1_i386.deb


Advertisement

Description

libmath-bigint-gmp-perl - module for arbitrary precision arithmetic using GMP

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmath-bigint-gmp-perl
Package version: 1.38
Package release: 1+b1
Package architecture: i386
Package type: deb
Installed size: 58 B
Download size: 25.04 KB
Official Mirror: ftp.br.debian.org
Math::BigInt::GMP is a Perl module that uses direct bindings to the GNU Multiple Precision Arithmetic Library (also known as GMP) to provide a high-performance drop-in replacement for Math::BigInt.

Alternatives

    Download

    Source package: libmath-bigint-gmp-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmath-bigint-gmp-perl deb package:
      # sudo apt-get install libmath-bigint-gmp-perl

    Files

    • /usr/lib/i386-linux-gnu/perl5/5.20/Math/BigInt/GMP.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/auto/Math/BigInt/GMP/GMP.so
    • /usr/share/doc/libmath-bigint-gmp-perl/BUGS
    • /usr/share/doc/libmath-bigint-gmp-perl/TODO
    • /usr/share/doc/libmath-bigint-gmp-perl/changelog.Debian.gz
    • /usr/share/doc/libmath-bigint-gmp-perl/changelog.Debian.i386.gz
    • /usr/share/doc/libmath-bigint-gmp-perl/changelog.gz
    • /usr/share/doc/libmath-bigint-gmp-perl/copyright
    • /usr/share/man/man3/Math::BigInt::GMP.3pm.gz

    Changelog

    2014-05-13 - gregor herrmann <gregoa@debian.org> libmath-bigint-gmp-perl (1.38-1) unstable; urgency=medium * New upstream release. * Strip trailing slash from metacpan URLs. * Update years of packaging copyright. * Update (build) dependency on Math::BigInt. * Use debhelper 9.20120312 to get default hardening flags. * Declare compliance with Debian Policy 3.9.5.

    2013-08-30 - Ansgar Burchardt <ansgar@debian.org> libmath-bigint-gmp-perl (1.37-3) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Ansgar Burchardt ] * Prefer perl (>= 5.15.3) over libmath-bigint-perl (>= 1.997). * Bumped Standards-Version to 3.9.4 (no changes).

    2012-08-08 - Alessandro Ghedini <ghedo@debian.org> libmath-bigint-gmp-perl (1.37-2) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Alessandro Ghedini ] * Email change: Alessandro Ghedini -> ghedo@debian.org * Update copyright to Copyright-Format 1.0 * Bump debhelper compat level to 9 * Bump Standards-Version to 3.9.3 (no changes needed) * Add fix-checklib-fail.patch

    2011-09-05 - Alessandro Ghedini <al3xbio@gmail.com> libmath-bigint-gmp-perl (1.37-1) unstable; urgency=low [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ Alessandro Ghedini ] * New upstream release * (Build-)Depends on libmath-bigint-perl (>= 1.997)

    2011-08-06 - Alessandro Ghedini <al3xbio@gmail.com> libmath-bigint-gmp-perl (1.36-2) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Alessandro Ghedini ] * Add alternative dependency on perl 5.14 (Closes: #636790) * Add myself to Uploaders * Bump Standards-Version to 3.9.2 (no changes needed)

    2011-03-18 - gregor herrmann <gregoa@debian.org> libmath-bigint-gmp-perl (1.36-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Rewrite control description * Bump to debhelper compat 8 * Add myself to Uploaders and Copyright * No longer install README (not useful)

    2011-03-17 - Steve M. Robbins <smr@debian.org> libmath-bigint-gmp-perl (1.32-1.1) unstable; urgency=low * NMU. Change dependency libgmp3-dev --> libgmp-dev.

    2010-11-12 - gregor herrmann <gregoa@debian.org> libmath-bigint-gmp-perl (1.32-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ gregor herrmann ] * New upstream release 1.26-TRIAL (closes: #395948). * Convert to source format 3.0 (quilt). * Switch to debhelper 7. * Set Standards-Version to 3.9.1 (no changes). * debian/control: remove version from perl build dependency (already satisfied in lenny). Mention module name in long description. * Reformat debian/copyright (DEP5), add info about new third party file. * Add (build) dependency on libmath-bigint-perl >= 1.90. * New upstream release 1.32.

    Advertisement
    Advertisement